Skip to main content
Version: Next

Tax code lookup

Retrieve detailed business information by tax code (MST).

GET /tax-code?tax={mst}
Billing

Each call = 1 billable request (tiered). See Per-request pricing.

Query Parameters

NameTypeRequiredDescription
taxstringTax code to look up

Response

FieldTypeDescription
ma_so_thuestringTax code of the business
masothue_idstringTax code ID
ten_ctystringFull company/business name
dia_chistringRegistered business address
cqthuecap_tinhstring | nullManaging provincial tax office
cqthue_qlstringDirect managing tax office
nguoi_dai_dienstringLegal representative
ngay_thanh_lapdate (YYYY-MM-DD)Establishment date
tthaistring | nullOperating status code
ten_tthaistring | nullOperating status name
cURL
curl "$BASE/tax-code?tax=0319074775" \
-H "Authorization: Bearer $TOKEN" -H "Partner-Code: $PC"
Example response
{
"success": true,
"ma_so_thue": "0319074775",
"masothue_id": "0319074775",
"ten_cty": "CÔNG TY CỔ PHẦN GIẢI PHÁP T CONNECT",
"dia_chi": "232 Nguyễn Lương Bằng, Phường Tân Mỹ, Thành phố Hồ Chí Minh, Việt Nam",
"cqthuecap_tinh": "Chi cục thuế Hồ Chí Minh",
"cqthue_ql": "Thuế cơ sở 7 Thành phố Hồ Chí Minh",
"nguoi_dai_dien": null,
"ngay_thanh_lap": null,
"tthai": null,
"ten_tthai": null
}
No encryption required

The API only accepts tax via query parameter; no AES needed. You still need the Bearer + Partner-Code authentication headers.